
#ifndef __GTK_PGCANVAS_H__
#define __GTK_PGCANVAS_H__

#include <gdk/gdk.h>
#include <gtk/gtkmisc.h>

class PGCanvas;

#ifdef __cplusplus
extern "C" {
#endif

#define GTK_TYPE_PGCANVAS		  (gtk_pgcanvas_get_type ())
#define GTK_PGCANVAS(obj)		  (GTK_CHECK_CAST ((obj), GTK_TYPE_PGCANVAS, GtkPGCanvas))
#define GTK_PGCANVAS_CLASS(klass)	  (GTK_CHECK_CLASS_CAST ((klass), GTK_TYPE_PGCANVAS, GtkPGCanvasClass))
#define GTK_IS_PGCANVAS(obj)	  	  (GTK_CHECK_TYPE ((obj), GTK_TYPE_PGCANVAS))
#define GTK_IS_PGCANVAS_CLASS(klass) 	  (GTK_CHECK_CLASS_TYPE ((klass), GTK_TYPE_PGCANVAS))

typedef struct _GtkPGCanvas       GtkPGCanvas;
typedef struct _GtkPGCanvasClass  GtkPGCanvasClass;

struct _GtkPGCanvas
{
  GtkMisc misc;
  PGCanvas* mycanvas;
};

struct _GtkPGCanvasClass
{
  GtkMiscClass parent_class;
};


GtkType    gtk_pgcanvas_get_type(void);
GtkWidget* gtk_pgcanvas_new(PGCanvas* canvas);

#ifdef __cplusplus
}
#endif

#endif /* __GTK_PGCANVAS_H__ */
