/***
 * Portable GUI
 * Code for PGMessageBox
 * Copyright (C) 2000-2000 Jan Struyf <jan.struyf@cs.kuleuven.ac.be>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
 
#ifndef _PGMESSAGEBOX_
#define _PGMESSAGEBOX_

#define PGMSGBOX_OK		1
#define PGMSGBOX_YES		2
#define PGMSGBOX_NO		4
#define PGMSGBOX_CANCEL		8
#define PGMSGBOX_ICONQUESTION	16
#define PGMSGBOX_ICONERROR	32

class PGMessageBox {
public:
		char* m_sTitle;
		char* m_sMessage;
		int m_iFlags;
public:
	PGMessageBox(char* title, char*message, int flags);
	int show(PGWindow* parent);
};

#endif
