/***
 * Portable GUI
 * Code for PGButton
 * Copyright (C) 2000-2000 Jan Struyf <jan.struyf@cs.kuleuven.ac.be>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
 
#ifndef _PGUPDOWN_
#define _PGUPDOWN_

class PGUpDown : public PGNormalComponent, public PGActionListenerParent {
public:
	PGIntegerField* m_hField;
	int m_iUpper, m_iLower, m_iPos;
public:
	PGUpDown(PGIntegerField* field, int lower, int upper, int pos);	
	virtual void toString(PGString* strg);
	virtual void getPreferredSize(PGDimension* dimension, BOOL recalc);
	virtual void addToWindow(PGWindow* parent);
	virtual void removeFromWindow(PGWindow* parent);	
};


#endif
