/***
 * Portable GUI
 * Code for PGApplication
 * Copyright (C) 2000-2000 LittlePanda <littlepanda@mostlysunny.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <portablegui.h>

PGApplication::PGApplication() {
	new BApplication("application/x-vnd.PortableGUIApplication");
}

void PGApplication::exit(int code) {
	delete be_app;
}

int PGApplication::run() {
	be_app->Run();
	return 0;
}

void PGApplication::init(int *argc, char **argv[]) {
	setPGApplication(this);
}

