
#include <pgutil/pgcollection.h>

PGIterator::PGIterator(PGCollection* collection, PGObject* first) {
	m_hCollection = collection;
	m_hCurrent = first;
	m_iIndex = 0;
	PGINCREF(collection);
}

PGIterator::~PGIterator() {
	PGDECREF(m_hCollection);
}

boolean PGIterator::hasNext() const {
	return m_hCollection->hasNext(m_iIndex, m_hCurrent);
}
                 

PGObject* PGIterator::next() {
	m_hCurrent = m_hCollection->next(m_iIndex++, m_hCurrent);	
	return m_hCurrent;
}

void PGIterator::remove() {
}
