/***
 * Portable GUI
 * Code for PGButton
 * Copyright (C) 2000-2000 Jan Struyf <jan.struyf@cs.kuleuven.ac.be>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <portablegui.h>

void PGUpDown::addToWindow(PGWindow* parent) {
	m_hWidget = gtk_spin_button_new(NULL, 1.0, 3);
	pg_gtk_layobox_append(GTK_CONTAINER(parent->m_hPGContainer), m_hWidget);
	
/*	GtkSpinButton* bt = GTK_SPIN_BUTTON(m_hWidget);	
	gtk_widget_hide(bt->entry);*/

/*	HWND hWndBuddy = NULL;
	m_iId = getPGApplication()->m_vCommandList.registerCommand(this);
	DWORD dwStyle = WS_CHILD | WS_CLIPSIBLINGS | WS_TABSTOP;
	if (m_hField != NULL) {
		hWndBuddy = m_hField->m_hWnd;
		dwStyle |= UDS_SETBUDDYINT;
	}
	m_hWnd = CreateUpDownControl(dwStyle, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT,
                 parent->m_hWnd, m_iId, getPGApplication()->m_hInst, hWndBuddy, m_iUpper, m_iLower, m_iPos);
		 
*/		 
	PGNormalComponent::addToWindow(parent);
}

void PGUpDown::removeFromWindow(PGWindow* parent) {
/*	PGNormalComponent::removeFromWindow(parent);
	if (m_hWnd != NULL) DestroyWindow(m_hWnd);
	if (m_iId != -1) getPGApplication()->m_vCommandList.freeCommand(m_iId);*/
}

void PGUpDown::getPreferredSize(PGDimension* dimension, BOOL recalc) {
	GtkRequisition req = {0, 0};
	if (recalc) gtk_widget_size_request(m_hWidget, &req);
	else gtk_widget_get_child_requisition(m_hWidget, &req);
	dimension->width = req.width; dimension->height = req.height;
}

